Subject: Re: Upload directive problem

From: Mike Strube <[email-masked]>
Date: Mon, 07 Apr 1997 09:19:29 -0500

Thanks for the tip, Steve, but it didn't help.  Any other suggestions?

>Date: Sat, 05 Apr 1997 07:11:52 -0600
>Reply-To: [email-masked]
>Sender: [email-masked]
>From: "Steven K. Buehler" <[email-masked]>
>To: [email-masked]
>Cc: Mike Strube <[email-masked]>
>Subject: Re: Upload directive problem
>X-Sender: [email-masked]
>X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
>
>At 02:29 PM 4/4/97 -0600, you wrote:
>>I'm having trouble getting the upload directive in ftpaccess to change the
>>owner and group of uploaded files.
>>
>>I'm running wu-2.4.2-academ[BETA-13] on Solaris 2.5.1.  I've successfully
>>created a guest account (guest1) with it's own chroot area.  I've got the
>>following entrys in ftpaccess:
>>
>>upload /opt/guest1/     /pub    yes root other 0600 dirs
>>
>>However, when a user logs in as guest1 and uploads a file to the /pub
>>directory, it comes in owned by guest1.
>
>I also had this problem.  You can fix it by changing the root line.  Make
the two lines look like this:
>upload /opt/guest1/     *       no  root other 0600 dirs
>upload /opt/guest1/     /pub    yes root other 0600 dirs
>
>
>======================================================
>Steven K. Buehler
>S & B Computers
>Rockford Illinois, USA
>Phone: 815-398-7169
>Fax: 815-398-7266
>======================================================
>
>
Mike Strube                                  Internet: [email-masked]
Phillips Petroleum Co.                          Voice:   (918) 661-8758
215 Information Center                            Fax:   (918) 662-2924
Bartlesville, OK 74004